<template>
  <div class="enterprise-supplement">
    <basic-info ref="baseInfo" :base-info="baseInfo" />
    <PersonInfo ref="legalPersonInfoRef" :person-type="'legal'" :details-info="legalPersonInfo" />
    <PersonInfo ref="controlPersonInfoRef" :person-type="'control'" :details-info="controlPersonInfo" />
    <div class="submit-btn">
      <el-button @click="() => { $router.push({ name: 'MyStoreEnterprise', query: { activeName: 'enterprise' } }) }">关闭</el-button>
      <el-button type="primary" @click="submitClick('temp')">暂存</el-button>
      <el-button type="primary" @click="submitClick('submit')">提交</el-button>
    </div>
  </div>
</template>

<script>
// import { queryParent } from '@/utils';


export default {
  name: 'MyBusinessProjectSupplement',
  components: {
    BasicInfo: () => import('./components/BasicInfo'),
    PersonInfo: () => import('./components/PersonInfo.vue')
  },
  data() {
    return {
      baseInfo: {},
      legalPersonInfo: {},
      controlPersonInfo: {}
    }
  },
  created() {
    // this.getDetails()
  },
  methods: {
    getDetails() {
      // const { id } = this.$route.query
    },
    async submitClick(type) {
      if (type === 'submit') {
        this.$router.push({
          name: 'StoreEnterpriseAuth'
        })
      }
    }
  }
}
</script>

<style lang="scss" scoped>
.enterprise-supplement {}
</style>
